<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/collapsedGameContainer"
        android:layout_width="wrap_content"
        android:layout_height="40dp"
        android:layout_gravity="center_horizontal"
        android:background="@drawable/border_round_stroke_ui_divider_999"
        android:paddingStart="16dp"
        android:paddingEnd="16dp">

        <com.gh.gamecenter.feature.view.GameIconView
            android:id="@+id/gameIcon3"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginStart="-12dp"
            android:layout_marginLeft="-12dp"
            app:gameIconBorderColor="@color/ui_background"
            app:gameIconBorderWidth="1dp"
            app:gameIconCornerRadius="5dp"
            app:layout_constraintBottom_toBottomOf="@+id/gameIcon2"
            app:layout_constraintStart_toEndOf="@+id/gameIcon2"
            app:layout_constraintTop_toTopOf="@+id/gameIcon2" />

        <com.gh.gamecenter.feature.view.GameIconView
            android:id="@+id/gameIcon2"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginStart="-12dp"
            android:layout_marginLeft="-12dp"
            app:gameIconBorderColor="@color/ui_background"
            app:gameIconBorderWidth="1dp"
            app:gameIconCornerRadius="5dp"
            app:layout_constraintBottom_toBottomOf="@+id/gameIcon1"
            app:layout_constraintStart_toEndOf="@+id/gameIcon1"
            app:layout_constraintTop_toTopOf="@+id/gameIcon1" />

        <com.gh.gamecenter.feature.view.GameIconView
            android:id="@+id/gameIcon1"
            android:layout_width="24dp"
            android:layout_height="24dp"
            app:gameIconBorderColor="@color/ui_background"
            app:gameIconBorderWidth="1dp"
            app:gameIconCornerRadius="5dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/expandTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:layout_marginLeft="12dp"
            android:textColor="@color/text_tertiary"
            android:textSize="@dimen/little_secondary_size"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/gameIcon3"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="展开其他3款游戏" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</FrameLayout>